Collection
Send tracking data
POST
/api/sendCollects a pageview, custom event, visitor identification, or performance payload and returns session information and a tracking cache token when accepted.
Try it
Request body
| Name | Type | Description |
|---|---|---|
| oneOf | oneOf | |
Example request
Responses
200Successful response.
| Name | Type | Description |
|---|---|---|
| anyOf | anyOf | |
200 example
400Invalid collection payload or session token.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
403Collection blocked.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
403 example
413Error payload exceeds 48,000 bytes.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
413 example
429Website error collection quota exceeded.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
429 example
500Collection failed. Retry errors with the same occurrence ID.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
500 example
Code samples
cURL